apiVersion: apps/v1
kind: Deployment #TODO should it be service !
metadata:
    name: fuseki-devwd # Match your container name
spec:
    replicas: 1
    selector:
        matchLabels:
            app: fuseki-devwd # Label for pods
    template:
        metadata:
            labels:
                app: fuseki-devwd
        spec:
            imagePullSecrets:
                - name: my-dockerhub-secret
            containers:
                - name: fuseki-devwd
                  image: docker.io/stain/jena-fuseki
                  ports:
                      - containerPort: 3030
                        name: http # Optional name for the port
                  env:
                      - name: ADMIN_PASSWORD
                        value: "hsuqpJDL23PDMsdk65421khlebnlklshdklsdkl__jklaghw__1785Ds" # Environment variable
                      - name: FUSEKI_DATASET_1
                        value: "enexa"
                      - name: FUSEKI_DATASET_2
                        value: "mydataset"   
                      - name: FUSEKI_ARGS
                        value: "--update --enableControl"
                  volumeMounts:
                      - name: fuseki-data # Volume name
                        mountPath: /fuseki # Path to mount volume in container
            volumes:
                - name: fuseki-data
                  persistentVolumeClaim:
                    claimName: fuseki-pvc

